#! /bin/sh
#
# download the raw drug data from the web
PATH_TO_PSQL=/usr/local/pgsql/bin

echo "downloading some 3 MB drug data from the web, might take a while ...\n"
#wget -c http://www.hc-sc.gc.ca/hpfb-dgpsa/tpd-dpt/txt/allfiles.zip
mkdir drugrefImport
cd drugrefImport
wget -c http://www.hc-sc.gc.ca/dhp-mps/prodpharma/databasdon/txt/allfiles.zip
# unzip the data into the current directory
unzip allfiles.zip
cd ..
# create the temporary tables for import purposes
echo "\n --> creating temporary tables for import purposes ...\n"
$PATH_TO_PSQL/psql drugref2 -f create_dpd_tables.psql
# convert the comma separated text files into proper importable tab spearated unquoted data
echo "\n --> converting the text files into a proper importable format ...\n"
#cp ../strip_quotation.py .
python import_dpd.py
# import the converted tab separated unquoted data into the temporary tables
echo "\n --> now importig the data into the temporary tables ...\n"
$PATH_TO_PSQL/psql drugref2 -f import_dpd_tables.psql
# do some house keeping with the imported tables
echo "\n --> cleaning up the imported table, preparing the import into drugref ...\n"
$PATH_TO_PSQL/psql drugref2 -f dpd_nodupes.psql

# create extra tables to make searching easier
echo "\n --> creating extra tables  ...\n"
$PATH_TO_PSQL/psql drugref2 -f create_extra_tables.psql

#import the data into extra tables for easier searching
echo "\n --> importing data into searching  tables ...\n"
python import_search_data.py


#create tables for interaction data
echo "\n --> creating interaction tables ... \n"
$PATH_TO_PSQL/psql drugref2 -f holbrooktables.psql

#import interaction data 
echo "\n --> importing interaction data ... \n"
$PATH_TO_PSQL/psql drugref2 -f interactions-holbrook.dump


#clean up the temp tables
